# builds nitter
FROM nimlang/nim:2.2.0-alpine-regular as build

RUN apk --no-cache add libsass-dev pcre

WORKDIR /src

COPY nitter.nimble .
RUN nimble install -y --depsOnly

COPY . .
RUN nimble build -d:danger -d:lto -d:strip --mm:refc && \
    nimble scss

# runs nitter
FROM alpine:latest

RUN apk --no-cache add pcre ca-certificates

WORKDIR /srv
COPY --from=build /src/nitter ./
COPY --from=build /src/public ./public

RUN adduser -h /srv -D -s /bin/sh -u 1001 runner && \
    chown runner:runner -R /srv

USER runner
CMD ./nitter
